Rank runs by a metric
curl --request GET \
--url https://pluto-api.trainy.ai/api/runs/leaderboard \
--header 'Authorization: Bearer <token>'import requests
url = "https://pluto-api.trainy.ai/api/runs/leaderboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pluto-api.trainy.ai/api/runs/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectName": "<string>",
"logName": "<string>",
"aggregation": "<string>",
"direction": "<string>",
"runs": [
{
"rank": 123,
"runId": 123,
"runName": "<string>",
"status": "<string>",
"url": "<string>",
"value": 123,
"tags": [
"<string>"
],
"createdAt": "<string>",
"config": null
}
],
"total": 123
}Runs
Rank runs by a metric
Returns runs ranked by a metric aggregation (MIN, MAX, AVG, LAST, VARIANCE) using pre-computed metric summaries. Much faster than comparing individual runs. Useful for finding the best runs in a project by loss, accuracy, or any other metric.
GET
/
api
/
runs
/
leaderboard
Rank runs by a metric
Authorizations
API key obtained from the mlop dashboard
Query Parameters
Project name
Metric name to rank by (e.g., 'train/loss', 'eval/accuracy')
Aggregation type: MIN, MAX, AVG, LAST, VARIANCE (default: LAST)
Available options:
MIN, MAX, AVG, LAST, VARIANCE Sort direction: ASC (lowest first) or DESC (highest first). Default: ASC
Available options:
ASC, DESC Number of runs to return (default: 20, max: 100)
Offset for pagination (default: 0)
Was this page helpful?
⌘I